## ros-indigo-rqt-stream-manipulator-3d 0.1.7

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(rqt_stream_manipulator_3d)

## Find catkin macros and libraries
## if COMPONENTS list like find_package(catkin REQUIRED COMPONENTS xyz)
## is used, also find other catkin packages
find_package(catkin REQUIRED COMPONENTS
  pluginlib
  roscpp
  rqt_gui
  rqt_gui_cpp
  roslib
  cmake_modules
  stream_manipulator_3d
)

## System dependencies are found with CMake's conventions
find_package(Qt4 REQUIRED COMPONENTS QtCore QtGui)

find_package(Boost REQUIRED)

find_package(TinyXML REQUIRED)

include (${QT_USE_FILE})

set(rqt_sm3d_INCLUDE_DIRECTORIES
    include
    ${CMAKE_CURRENT_BINARY_DIR}
)
set(rqt_sm3d_SRC
    src/rqt_stream_manipulator.cpp
    src/wait_for_dialog.cpp
    src/plugin.cpp
)
set(rqt_sm3d_HDR
    include/rqt_stream_manipulator_3d/rqt_stream_manipulator.h
    include/rqt_stream_manipulator_3d/wait_for_dialog.h
    include/rqt_stream_manipulator_3d/plugin.h
)
set(rqt_sm3d_UI
    src/rqt_stream_manipulator.ui
)
set(rqt_sm3d_QRC
    resources/resources.qrc)

qt4_wrap_cpp(rqt_sm3d_MOC ${rqt_sm3d_HDR})
qt4_wrap_ui(rqt_sm3d_UI_H ${rqt_sm3d_UI})
qt4_add_resources(rqt_sm3d_QRC_H ${rqt_sm3d_QRC})

# Define the plugin library
set(PLUGIN_LIBRARY rqt_sm3d_plugins)

set(PLUGIN_LIBRARY_HDR
    include/rqt_stream_manipulator_3d/filters/cropbox.h
    include/rqt_stream_manipulator_3d/filters/voxel_grid.h
    include/rqt_stream_manipulator_3d/output/publisher.h
    include/rqt_stream_manipulator_3d/filters/frustum.h
    include/rqt_stream_manipulator_3d/filters/median.h
    include/rqt_stream_manipulator_3d/filters/passthrough.h
    include/rqt_stream_manipulator_3d/filters/statistical_outlier.h
    include/rqt_stream_manipulator_3d/filters/radius_outlier.h
    )

set(PLUGIN_LIBRARY_SRC
    src/filters/cropbox.cpp
    src/filters/voxel_grid.cpp
    src/filters/frustum.cpp
    src/filters/median.cpp
    src/filters/passthrough.cpp
    src/filters/statistical_outlier.cpp
    src/filters/radius_outlier.cpp
    src/output/publisher.cpp
    )

set(PLUGIN_LIBRARY_UI
    src/filters/cropbox.ui
    src/filters/median.ui
    src/filters/voxel_grid.ui
    src/filters/frustum.ui
    src/filters/passthrough.ui
    src/filters/statistical_outlier.ui
    src/filters/radius_outlier.ui
    src/output/publisher.ui
    )

#qt wraps for PLUGIN_LIBRARY
qt4_wrap_cpp(PLUGIN_LIBRARY_MOC ${PLUGIN_LIBRARY_HDR})
qt4_wrap_ui(PLUGIN_LIBRARY_UI_H ${PLUGIN_LIBRARY_UI})

## Uncomment this if the package has a setup.py. This macro ensures
## modules and global scripts declared therein get installed
## See http://ros.org/doc/api/catkin/html/user_guide/setup_dot_py.html
# catkin_python_setup()

###################################
## catkin specific configuration ##
###################################
## The catkin_package macro generates cmake config files for your package
## Declare things to be passed to dependent projects
## INCLUDE_DIRS: uncomment this if you package contains header files
## LIBRARIES: libraries you create in this project that dependent projects also need
## CATKIN_DEPENDS: catkin_packages dependent projects also need
## DEPENDS: system dependencies of this project that dependent projects also need
catkin_package(
    INCLUDE_DIRS ${rqt_sm3d_INCLUDE_DIRECTORIES}
    LIBRARIES ${PROJECT_NAME} ${PLUGIN_LIBRARY}
    CATKIN_DEPENDS
        pluginlib
        roscpp
        rqt_gui
        rqt_gui_cpp
        roslib
        cmake_modules
        stream_manipulator_3d
#  DEPENDS system_lib
)
###########
## Build ##
###########

include_directories(
  ${catkin_INCLUDE_DIRS}
  ${rqt_sm3d_INCLUDE_DIRECTORIES}
  ${TinyXML_INCLUDE_DIRECTORIES}
  ${Boost_INCLUDE_DIR}
)

add_library(${PROJECT_NAME}
    ${rqt_sm3d_SRC} ${rqt_sm3d_MOC} ${rqt_sm3d_UI_H} ${rqt_sm3d_QRC_H}
)
target_link_libraries(${PROJECT_NAME}
    ${catkin_LIBRARIES}
    ${QT_QTCORE_LIBRARY} ${QT_QTGUI_LIBRARY}
    ${TinyXML_LIBRARIES}
    ${Boost_LIBRARIES}
)

add_library(${PLUGIN_LIBRARY}
    ${PLUGIN_LIBRARY_SRC} ${PLUGIN_LIBRARY_MOC} ${PLUGIN_LIBRARY_UI_H}
    ${rqt_sm3d_QRC_H}
    )
target_link_libraries(${PLUGIN_LIBRARY}
    ${catkin_LIBRARIES}
    ${QT_QTCORE_LIBRARY} ${QT_QTGUI_LIBRARY}
    ${Boost_LIBRARIES}
)

#############
## Install ##
#############

install(FILES rqt_plugin.xml plugins.xml
    DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

install(TARGETS ${PROJECT_NAME} ${PLUGIN_LIBRARY}
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

install(DIRECTORY include/${PROJECT_NAME}/
    DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
)

=== debian/changelog ===
ros-indigo-rqt-stream-manipulator-3d (0.1.7-0trusty) trusty; urgency=high

  * Updates & Bugfixes
    Bugfix: CropBox not updating Translation properly
    Add Pause/Resume functionality:
    - Pause button will block processing and all plugins, it also
    unsubscribe from input_topic.
    - Resume will resubscribe and resume all normal functionality.
    - While stream_manipulator_3d is paused you cannot modify configuration
    or plugin specific settings
    Add Saving/Loading configuration functionality:
    - Saving config to rosparams and then dumpng to yaml file
    - Loading yaml file into rosparams, then update configuration from them.
  * Add two more filter plugins
    * Add Statistical Outlier Removal Plugin
    Wrapping  of  pcl::StatisticalOutlierRemoval  filter.  StatisticalOutlierRemoval
    uses  point  neighborhood  statistics  to filter  outlier  data.  The  algorithm
    iterates through  the entire  input twice:  During the  first iteration  it will
    compute the average distance that each point has to its nearest k neighbors. The
    value of k  can be set using  nr_k_neighbors param. Next, the  mean and standard
    deviation of all  these distances are computed in order  to determine a distance
    threshold. The distance threshold will be equal to: mean + stddev_mult * stddev.
    The multiplier  for the  standard deviation can  be set  using stddev_multiplier
    parameter. During the next iteration the  points will be classified as inlier or
    outlier if  their average  neighbor distance  is below  or above  this threshold
    respectively. Outliers will then be removed from the stream. The neighbors found
    for each query point will be found amongst ALL input points.
    * Add Radius Outlier Removal Plugin
    Wrapping  of  pcl::RadiusOutlierRemoval   filter.  RadiusOutlierRemoval  filters
    points in a cloud  based on the number of neighbors  they have. Iterates through
    the entire  input once, and  for each point,  retrieves the number  of neighbors
    within a certain radius.  The point will be considered an outlier  if it has too
    few neighbors, as determined by  k_neighbors_threshold parameter. The radius can
    be changed using  radius_search param. The neighbors found for  each query point
    will be found amongst ALL points of input stream.
  * Contributors: Federico Spinelli

 -- tabjones <fspinelli@gmail.com>  Wed, 03 Aug 2016 22:00:00 -0000

ros-indigo-rqt-stream-manipulator-3d (0.1.6-0trusty) trusty; urgency=high

  * Add some more Plugins:
    * Frustum Culling Filter Plugin
    Removes everything inside/outside a frustum,  defined by two aperture angles and
    two parallel planes.
    * Median Filter Plugin
    The  median filter  is  one of  the simplest  and  wide-spread image  processing
    filters. It is known to perform  well with "shot"/impulse noise (some individual
    pixels having extreme  values), it does not reduce contrast  across steps in the
    function  (as compared  to filters  based  on averaging),  and it  is robust  to
    outliers. Furthermore, it is simple to implement and efficient, as it requires a
    single pass over  the image. It consists  of a moving window of  fixed size that
    replaces the pixel in the center with the median inside the window.
    NOTE: This filters  only the depth (z-component) of  organized and untransformed
    (i.e., in  camera coordinates) point  clouds. An error  will be outputted  if an
    unorganized cloud is given.
    * PassThrough Filter Plugin
    PassThrough passes  points in a  cloud based  on constraints for  one particular
    field of the  point type. Iterates through the entire  input once, automatically
    filtering non-finite points and the points outside the interval specified by the
    filter limits, which applies only to the field specified by field type.
  * Contributors: Federico Spinelli

 -- tabjones <fspinelli@gmail.com>  Thu, 28 Jul 2016 22:00:00 -0000

ros-indigo-rqt-stream-manipulator-3d (0.1.4-0trusty) trusty; urgency=high

  * Fix build errors
    Add proper catkin dependencies
  * Contributors: Federico Spinelli

 -- tabjones <fspinelli@gmail.com>  Fri, 22 Jul 2016 22:00:00 -0000

ros-indigo-rqt-stream-manipulator-3d (0.1.2-0trusty) trusty; urgency=high



 -- tabjones <fspinelli@gmail.com>  Thu, 21 Jul 2016 22:00:00 -0000

ros-indigo-rqt-stream-manipulator-3d (0.1.1-0trusty) trusty; urgency=high



 -- tabjones <fspinelli@gmail.com>  Tue, 19 Jul 2016 22:00:00 -0000

ros-indigo-rqt-stream-manipulator-3d (0.1.0-0trusty) trusty; urgency=high



 -- tabjones <fspinelli@gmail.com>  Wed, 06 Apr 2016 22:00:00 -0000

=== debian/control ===
Source: ros-indigo-rqt-stream-manipulator-3d
Section: misc
Priority: extra
Maintainer: tabjones <fspinelli@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-indigo-catkin, ros-indigo-cmake-modules, ros-indigo-pluginlib, ros-indigo-roscpp, ros-indigo-roslib, ros-indigo-rqt-gui, ros-indigo-rqt-gui-cpp, ros-indigo-stream-manipulator-3d
Homepage: 
Standards-Version: 3.9.2

Package: ros-indigo-rqt-stream-manipulator-3d
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-indigo-cmake-modules, ros-indigo-pluginlib, ros-indigo-roscpp, ros-indigo-roslib, ros-indigo-rqt-gui, ros-indigo-rqt-gui-cpp, ros-indigo-stream-manipulator-3d
Description: The rqt_stream_manipulator_3d provides a GUI to the stream_manipulator_3d package, in order to dynamically reconfigure it.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-rqt-stream-manipulator-3d//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
